import express from 'express';
import { getJobs, processAndUpdateJobs, removePauzeFromJobs } from './api/jobs.js';
import { getShifts, updateShifts } from './api/shifts.js';

const router = express.Router();

// Jobs 
router.get('/jobs', getJobs);
router.post('/jobs/process', processAndUpdateJobs);
router.post('/jobs/remove-pauze', removePauzeFromJobs);

// Shifts 
router.post('/shifts', getShifts);
router.put('/shifts', updateShifts);

export default router;
